#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 tree-diff
version:              0.1
visibility:           public
id:                   tree-diff-0.1-90b7Id20i2lK1mUhTfR7Ma
key:                  tree-diff-0.1-90b7Id20i2lK1mUhTfR7Ma
license:              GPL-2.0-or-later
copyright:            (c) 2017-2019 Oleg Grenrus
maintainer:           Oleg.Grenrus <oleg.grenrus@iki.fi>
author:               Oleg Grenrus <oleg.grenrus@iki.fi>
homepage:             https://github.com/phadej/tree-diff
synopsis:             Diffing of (expression) trees.
description:
    Common diff algorithm works on list structures:

    @
    diff :: Eq a => [a] -> [a] -> [Edit a]
    @

    This package works on trees.

    @
    treeDiff :: Eq a => Tree a -> Tree a -> Edit (EditTree a)
    @

    This package also provides a way to diff arbitrary ADTs,
    using @Generics@-derivable helpers.

    This package differs from <http://hackage.haskell.org/package/gdiff gdiff>,
    in a two ways: @tree-diff@ doesn'\''t have patch function,
    and the "edit-script" is a tree itself, which is useful for pretty-printing.

    @
    >>> prettyEditExpr $ ediff (Foo 42 [True, False] "old") (Foo 42 [False, False, True] "new")
    Foo
    \  {fooBool = [-True, +False, False, +True],
    \   fooInt = 42,
    \   fooString = -"old" +"new"}
    @

category:             Data, Testing
abi:                  21a9c2c880b37c1ddc6c047a45c02a16
exposed:              True
exposed-modules:
    Data.TreeDiff Data.TreeDiff.Class Data.TreeDiff.Expr
    Data.TreeDiff.Golden Data.TreeDiff.List Data.TreeDiff.Parser
    Data.TreeDiff.Pretty Data.TreeDiff.QuickCheck Data.TreeDiff.Tree

import-dirs:          /usr/lib/ghc-8.10.2/site-local/tree-diff-0.1
library-dirs:         /usr/lib/ghc-8.10.2/site-local/tree-diff-0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.2/tree-diff-0.1
hs-libraries:         HStree-diff-0.1-90b7Id20i2lK1mUhTfR7Ma
depends:
    QuickCheck-2.14.1-FhIGuH64Ocn3xx5WiZEDBJ
    aeson-1.5.4.0-EKD5HdaQvhNEWBNwoih2VS
    ansi-terminal-0.11-L7TyorLIfGDLr7MuckKwBT
    ansi-wl-pprint-0.6.9-5Hzr40Ll49bAkJfBQ9ErkD base-4.14.1.0
    base-compat-0.11.1-AU7kFoHd9g4AbsEVNqQYmh bytestring-0.10.10.0
    containers-0.6.2.1 hashable-1.3.0.0-IhQ3DGT3Mv7KNucUf0KrvO
    parsec-3.1.14.0 parsers-0.12.10-Pfj92vcSsK8iYfduHlPid
    pretty-1.1.3.6 scientific-0.3.6.2-7eFS4S3mXIcI1VNk1i1V3a
    tagged-0.8.6-6ynGuqiqWewDmeFAuVgKQe text-1.2.3.2 time-1.9.3
    unordered-containers-0.2.12.0-L7e0ebfosZDK7txbADKTIQ
    uuid-types-1.0.3-ERWW0x9b46t1vjSe7wkQg4
    vector-0.12.1.2-E9lCzNvHLtkKefSxgFoNMj

haddock-interfaces:   /usr/share/doc/haskell-tree-diff/html/tree-diff.haddock
haddock-html:         /usr/share/doc/haskell-tree-diff/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

